OpenTTD Source: SlVehicleAircraft Class Reference

OpenTTD Source 15.3

Public Member Functions | Static Public Attributes
SlVehicleAircraft Class Reference
Inheritance diagram for SlVehicleAircraft:

## Public Member Functions
void | Save (Vehicle *v) const override
void | Load (Vehicle *v) const override
void | FixPointers (Vehicle *v) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlVehicleAircraft, Vehicle >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
virtual void | LoadCheck (Vehicle *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _vehicle_aircraft_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 952 of file vehicle_sl.cpp.

## Member Function Documentation

## ◆ FixPointers()

void SlVehicleAircraft::FixPointers | ( | Vehicle * | v | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlVehicleAircraft, Vehicle >.

Definition at line 985 of file vehicle_sl.cpp.

## ◆ Load()

void SlVehicleAircraft::Load | ( | Vehicle * | v | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlVehicleAircraft, Vehicle >.

Definition at line 979 of file vehicle_sl.cpp.

## ◆ Save()

void SlVehicleAircraft::Save | ( | Vehicle * | v | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlVehicleAircraft, Vehicle >.

Definition at line 973 of file vehicle_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlVehicleAircraft::compat_description = _vehicle_aircraft_sl_compat
| inlinestatic

Definition at line 971 of file vehicle_sl.cpp.

## ◆ description

const SaveLoad SlVehicleAircraft::description[]
| inlinestatic

Initial value:
= {
SLEG_STRUCT("common", SlVehicleCommon),
SLE_VAR(Aircraft, crashed_counter, SLE_UINT16),
SLE_VAR(Aircraft, pos, SLE_UINT8),
SLE_CONDVAR(Aircraft, targetairport, SLE_FILE_U8 | SLE_VAR_U16, SL_MIN_VERSION, SLV_5),
SLE_CONDVAR(Aircraft, targetairport, SLE_UINT16, SLV_5, SL_MAX_VERSION),
SLE_VAR(Aircraft, state, SLE_UINT8),
SLE_CONDVAR(Aircraft, previous_pos, SLE_UINT8, SLV_2, SL_MAX_VERSION),
SLE_CONDVAR(Aircraft, last_direction, SLE_UINT8, SLV_2, SL_MAX_VERSION),
SLE_CONDVAR(Aircraft, number_consecutive_turns, SLE_UINT8, SLV_2, SL_MAX_VERSION),
SLE_CONDVAR(Aircraft, turn_counter, SLE_UINT8, SLV_136, SL_MAX_VERSION),
SLE_CONDVAR(Aircraft, flags, SLE_UINT8, SLV_167, SL_MAX_VERSION),
}
SlVehicleCommon
Definition vehicle_sl.cpp:645
SLEG_STRUCT
#define SLEG_STRUCT(name, handler)
Storage of a structs in every savegame version.
Definition saveload.h:1233
SLE_CONDVAR
#define SLE_CONDVAR(base, variable, type, from, to)
Storage of a variable in some savegame versions.
Definition saveload.h:883
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition saveload.h:416
SL_MIN_VERSION
@ SL_MIN_VERSION
First savegame version.
Definition saveload.h:31
SLV_2
@ SLV_2
2.0 0.3.0 2.1 0.3.1, 0.3.2
Definition saveload.h:34
SLV_167
@ SLV_167
167 23504
Definition saveload.h:243
SLV_5
@ SLV_5
5.0 1429 5.1 1440 5.2 1525 0.3.6
Definition saveload.h:43
SLV_136
@ SLV_136
136 18764
Definition saveload.h:206
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition saveload.h:1017
Aircraft
Aircraft, helicopters, rotors and their shadows belong to this class.
Definition aircraft.h:72

Definition at line 954 of file vehicle_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/vehicle_sl.cpp